- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDCharIX Class Reference
Inheritance diagram for libvisio::VSDCharIX:

## Public Member Functions
| VSDCharIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript)
| VSDCharIX (unsigned id, unsigned level, const VSDOptionalCharStyle &style)
| ~VSDCharIX ()
void | handle (VSDCollector *collector) const
VSDCharacterListElement * | clone ()
unsigned | getCharCount () const
void | setCharCount (unsigned charCount)
Public Member Functions inherited from libvisio::VSDCharacterListElement
| VSDCharacterListElement (unsigned id, unsigned level)
virtual | ~VSDCharacterListElement ()

## Public Attributes
VSDOptionalCharStyle | m_style
Public Attributes inherited from libvisio::VSDCharacterListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDCharIX::VSDCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript
| ) |  |
| inline

libvisio::VSDCharIX::VSDCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalCharStyle & | style
| ) |  |
| inline

libvisio::VSDCharIX::~VSDCharIX | ( |  | ) |
| inline

## Member Function Documentation

libvisio::VSDCharacterListElement * libvisio::VSDCharIX::clone | ( |  | ) |
| virtual

Implements libvisio::VSDCharacterListElement.

unsigned libvisio::VSDCharIX::getCharCount | ( |  | ) | const
| inline virtual

Implements libvisio::VSDCharacterListElement.

void libvisio::VSDCharIX::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDCharacterListElement.

void libvisio::VSDCharIX::setCharCount | ( | unsigned | charCount | ) |
| inline virtual

Implements libvisio::VSDCharacterListElement.

## Member Data Documentation

VSDOptionalCharStyle libvisio::VSDCharIX::m_style

Referenced by libvisio::VSDCharacterList::addCharIX(), getCharCount(), handle(), and setCharCount().

The documentation for this class was generated from the following file:

- VSDCharacterList.cpp